Name: x11-driver-input-vmmouse
Version: 12.5.1
Release: %mkrel 2
Summary: Xorg input driver for mice in VMware
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-vmmouse-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86} x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
The VMMouse driver enables support for the special VMMouse protocol
that is provided by VMware virtual machines to give absolute pointer
positioning.

Installing the driver will improve the user experience when using the
mouse to interact with the guest operating system. In particular, use of
the driver improves mouse "lag", provides mouse speed and acceleration
consistent with the user's host operating system, and enables the
auto-grab/ungrab feature in VMware products without requiring the VMware
toolbox application.


%prep
%setup -q -n xf86-input-vmmouse-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/vmmouse_drv.la
%{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_mandir}/man4/vmmouse.*


%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 12.5.1-2mdv2009.0
+ Revision: 265896
- rebuild early 2009.0 package (before pixel changes)
- add missing dot at end of description

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 12.5.1-1mdv2009.0
+ Revision: 211785
- New version

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 12.5.0-1mdv2009.0
+ Revision: 194253
- Update to version 12.5.0.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 12.4.3-4mdv2008.1
+ Revision: 160498
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 12.4.3-3mdv2008.1
+ Revision: 156593
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 12.4.3-2mdv2008.1
+ Revision: 154933
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-input-vmmouse-12.4.3@mandriva suggested on upstream
  Tag at git checkout vmmouse-12_4_3
  This tag is redundant, and only added to match pattern used in other
  repositories. Also redundant as this is a repository with a few tags, and
  all in the format ``vmmouse-12_4_[0-3]''
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 12.4.3-1mdv2008.1
+ Revision: 97067
- new upstream version: 12.4.3
- minor spec cleanup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Wed Feb 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 12.4.1-1mdv2007.0
+ Revision: 127113
- new release
- fix group
- fix summary & description

  + Christiaan Welvaart <cjw@daneel.dyndns.org>
    - ExclusiveArch: x86 and x86-64

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New driver (part of X11R7.1)

